; Caps Lock - disabled
CapsLock::
*CapsLock::
Return

; Win+T - toggle the active window on top
#t:: WinSet, AlwaysOnTop, Toggle, A

; Win+O - copy selection to clipboard and open file
#o:: 
clipboard =
Send, ^c
ClipWait, 2
If ErrorLevel = 0
	Run %clipboard%
Return

; Paste special
#v::
Input, key, L1, , -,_,l,c,t,v,?
If ErrorLevel = Match
{
	oCB := ClipBoardAll
	If key = l
	{
		StringReplace, ClipBoard, ClipBoard, `r`n, , All
		SendPlay ^v
		ClipBoard := oCB
	}
	If (key = "c" or key = "t")
	{
		cl = %clipboard%
		output = 
		Loop, parse, cl, %A_Space%, %A_Space%%A_Tab%
		{
			str = %A_LoopField%
			StringUpper, str, str, T
			If (key = "c")
				output = %output%%str%
			Else
				output = %output% %str%
		}
		ClipBoard = %output%
		SendInput %clipboard%
		ClipBoard := oCB
	}
	If (key = "-" or key = "_")
	{
		StringReplace, ClipBoard, ClipBoard, %A_Space%, _, All
		StringReplace, ClipBoard, ClipBoard, `,, _, All
		StringReplace, ClipBoard, ClipBoard, ., _, All
		SendInput %clipboard%
		ClipBoard := oCB
	}
	If key = v
		SendInput {Raw}%clipboard%
	; help message
	If key = ?
	{
		MsgBox, 64, Paste special options
			,
			(
			window + v `n 
- or _ 		replace space, comma and dot with underscore `n
l 		text in one line `n
c		CamelCase `n
v		paste as plain text
			)
			,10
	}
}
Return

; window dependent 
; have to be at the end of the script
;---------------------------------------------

;GTalk
#IfWinActive ahk_class Chat View
	>!Enter::
	<^>!Enter::
	Return

#IfWinActive ahk_class ConsoleWindowClass
	^V::
	+Ins::
	SendInput {Raw}%clipboard%
	return
